/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package examenree02;

import javax.swing.JOptionPane;

/**
 *
 * @author enriq
 */
public class jintPagoEmpleado extends javax.swing.JInternalFrame {

    /**
     * Creates new form jintPagoEmpleado
     */
    public jintPagoEmpleado() {
        initComponents();
        this.deshabilitar();
        this.resize(881,630);
    }
    public void deshabilitar(){
        this.cmbPuesto.setEnabled(false);
       
        this.txtNom.setEnabled(false);
        this.txtTotal.setEnabled(false);
        this.txtNumRec.setEnabled(false);
        this.txtDiaTra.setEnabled(false);
        this.txtImpuesto.setEnabled(false);
        this.btnCancelar.setEnabled(false);
        this.btnGuardar.setEnabled(false);
        this.btnCerrar.setEnabled(false);
        this.btnLimpiar.setEnabled(false);
        
        this.cmbNivel.setEnabled(false);
        this.txtPago.setEnabled(false);
       
        this.btnMostrar.setEnabled(false);
        
    }
    public void habilitar(){
        this.txtNumRec.setEnabled(true);
        this.txtDiaTra.setEnabled(true);
        
        this.txtNom.setEnabled(true);
    
        
       
        this.btnCancelar.setEnabled(true);
        this.btnGuardar.setEnabled(true);
        this.btnCerrar.setEnabled(true);
      
        this.cmbPuesto.setEnabled(true);
        this.cmbNivel.setEnabled(true);
        this.btnLimpiar.setEnabled(true);
        
       
        
        
    }
    public void limpiar(){
        this.txtNumRec.setText("");
        this.txtDiaTra.setText("");
       
        this.txtNom.setText("");
        

        
        this.txtImpuesto.setText("");
        this.txtTotal.setText("");
        this.txtPago.setText("");
        this.cmbNivel.setSelectedIndex(0);
        this.cmbPuesto.setSelectedIndex(0);
    }
    public boolean validar(){
         boolean exito = false;
            if ( this.txtNumRec.getText().equals(""))exito=true;
            if ( this.txtDiaTra.getText().equals(""))exito=true;
            
            if ( this.txtNom.getText().equals(""))exito=true;
           
            
            
         return exito;
     }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jPanel1 = new javax.swing.JPanel();
        jLabel5 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        txtPago = new javax.swing.JTextField();
        txtTotal = new javax.swing.JTextField();
        txtImpuesto = new javax.swing.JTextField();
        txtNom = new javax.swing.JTextField();
        txtNumRec = new javax.swing.JTextField();
        txtDiaTra = new javax.swing.JTextField();
        cmbNivel = new javax.swing.JComboBox<>();
        cmbPuesto = new javax.swing.JComboBox<>();
        btnCerrar = new javax.swing.JButton();
        btnMostrar = new javax.swing.JButton();
        btnNuevo = new javax.swing.JButton();
        btnGuardar = new javax.swing.JButton();
        btnLimpiar = new javax.swing.JButton();
        btnCancelar = new javax.swing.JButton();

        getContentPane().setLayout(null);

        jLabel1.setText("Num. Recibo");
        getContentPane().add(jLabel1);
        jLabel1.setBounds(79, 38, 88, 29);

        jLabel2.setText("Nombre");
        getContentPane().add(jLabel2);
        jLabel2.setBounds(79, 74, 88, 29);

        jLabel3.setText("Puesto");
        getContentPane().add(jLabel3);
        jLabel3.setBounds(80, 110, 88, 29);

        jLabel4.setText("Dias Trabajados");
        getContentPane().add(jLabel4);
        jLabel4.setBounds(80, 190, 110, 29);

        jLabel6.setText("Nivel");
        getContentPane().add(jLabel6);
        jLabel6.setBounds(80, 150, 88, 29);

        jPanel1.setBackground(new java.awt.Color(255, 255, 255));

        jLabel5.setText("Calculo Pago");

        jLabel7.setText("Calculo Total a Pagar");

        jLabel8.setText("Calculo Impuesto");

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(36, 36, 36)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel5, javax.swing.GroupLayout.PREFERRED_SIZE, 88, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel8))
                        .addGap(124, 124, 124)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(txtImpuesto, javax.swing.GroupLayout.PREFERRED_SIZE, 156, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(txtPago, javax.swing.GroupLayout.PREFERRED_SIZE, 156, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(jLabel7, javax.swing.GroupLayout.PREFERRED_SIZE, 145, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(77, 77, 77)
                        .addComponent(txtTotal, javax.swing.GroupLayout.PREFERRED_SIZE, 156, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(56, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(22, 22, 22)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel5, javax.swing.GroupLayout.PREFERRED_SIZE, 29, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(txtPago, javax.swing.GroupLayout.PREFERRED_SIZE, 26, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel8, javax.swing.GroupLayout.PREFERRED_SIZE, 29, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(txtImpuesto, javax.swing.GroupLayout.PREFERRED_SIZE, 26, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(7, 7, 7)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel7, javax.swing.GroupLayout.PREFERRED_SIZE, 29, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(txtTotal, javax.swing.GroupLayout.PREFERRED_SIZE, 26, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(27, Short.MAX_VALUE))
        );

        getContentPane().add(jPanel1);
        jPanel1.setBounds(220, 260, 470, 150);
        getContentPane().add(txtNom);
        txtNom.setBounds(220, 70, 160, 30);
        getContentPane().add(txtNumRec);
        txtNumRec.setBounds(220, 30, 160, 30);
        getContentPane().add(txtDiaTra);
        txtDiaTra.setBounds(220, 190, 160, 30);

        cmbNivel.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "1 Base", "2 Eventual" }));
        getContentPane().add(cmbNivel);
        cmbNivel.setBounds(220, 150, 160, 30);

        cmbPuesto.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "1 Auxiliar", "2 Albañil", "3 Ing. Obra" }));
        getContentPane().add(cmbPuesto);
        cmbPuesto.setBounds(220, 110, 160, 30);

        btnCerrar.setText("Cerrar");
        btnCerrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCerrarActionPerformed(evt);
            }
        });
        getContentPane().add(btnCerrar);
        btnCerrar.setBounds(650, 460, 120, 30);

        btnMostrar.setText("Mostrar");
        btnMostrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnMostrarActionPerformed(evt);
            }
        });
        getContentPane().add(btnMostrar);
        btnMostrar.setBounds(680, 160, 130, 50);

        btnNuevo.setText("Nuevo");
        btnNuevo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnNuevoActionPerformed(evt);
            }
        });
        getContentPane().add(btnNuevo);
        btnNuevo.setBounds(680, 10, 130, 50);

        btnGuardar.setText("Guardar");
        btnGuardar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnGuardarActionPerformed(evt);
            }
        });
        getContentPane().add(btnGuardar);
        btnGuardar.setBounds(680, 90, 130, 50);

        btnLimpiar.setText("Limpiar");
        btnLimpiar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnLimpiarActionPerformed(evt);
            }
        });
        getContentPane().add(btnLimpiar);
        btnLimpiar.setBounds(80, 460, 120, 30);

        btnCancelar.setText("Cancelar");
        btnCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCancelarActionPerformed(evt);
            }
        });
        getContentPane().add(btnCancelar);
        btnCancelar.setBounds(400, 460, 120, 30);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void btnNuevoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnNuevoActionPerformed
        // TODO add your handling code here:
        pag = new PagoQuincenal();
        this.limpiar();
        this.habilitar();
    }//GEN-LAST:event_btnNuevoActionPerformed

    private void btnGuardarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnGuardarActionPerformed
        // TODO add your handling code here:
         if (this.validar() == false){
            pag.setNom(this.txtNom.getText());
            pag.setDiasTra(Integer.parseInt(this.txtDiaTra.getText()));
            int niv = this.cmbNivel.getSelectedIndex();
            switch(niv){
                case 0:
                    pag.setNivel(1); break;
                case 1:
                    pag.setNivel(2); break;
                
            }
            int pue = this.cmbPuesto.getSelectedIndex();
            switch(pue){
                case 0:
                    pag.setPuesto(1); break;
                case 1:
                    pag.setPuesto(2); break;
                case 2:
                    pag.setPuesto(3); break;
                
            }
            pag.setNumRec(Integer.parseInt(this.txtNumRec.getText()));
           
             JOptionPane.showMessageDialog(this, "Se guardo con exito");
            //this.btnMostrar.setEnabled(true);
            this.btnMostrar.setEnabled(true);
            
         
            
      
        }
        else{
            JOptionPane.showMessageDialog(this, "Falto Capturar Informacion");
        }
        
    }//GEN-LAST:event_btnGuardarActionPerformed

    private void btnMostrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnMostrarActionPerformed
        // TODO add your handling code here:
        this.txtDiaTra.setText(String.valueOf(pag.getDiasTra()));
        this.txtNom.setText(String.valueOf(pag.getNom()));
        this.txtNumRec.setText(String.valueOf(pag.getNumRec()));
        int niv = pag.getNivel();
                switch(niv){
                case 1:
                    this.cmbNivel.setSelectedIndex(0); break;
                case 2:
                    this.cmbNivel.setSelectedIndex(1); break;
                
                }
        int pue = pag.getPuesto();
                switch(pue){
                case 1:
                    this.cmbPuesto.setSelectedIndex(0); break;
                case 2:
                    this.cmbPuesto.setSelectedIndex(1); break;
                case 3:
                    this.cmbPuesto.setSelectedIndex(2); break;
                }
        this.txtImpuesto.setText(String.valueOf(pag.calcularImpuesto()));
      
        this.txtPago.setText(String.valueOf(pag.calcularPago()));
        this.txtTotal.setText(String.valueOf(pag.calcularTotalPagar()));
        
    }//GEN-LAST:event_btnMostrarActionPerformed

    private void btnLimpiarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnLimpiarActionPerformed
        // TODO add your handling code here:
        
        this.limpiar();
    }//GEN-LAST:event_btnLimpiarActionPerformed

    private void btnCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCancelarActionPerformed
        // TODO add your handling code here:
        this.limpiar();
        this.deshabilitar();
    }//GEN-LAST:event_btnCancelarActionPerformed

    private void btnCerrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCerrarActionPerformed
        // TODO add your handling code here:
         int opcion=0;
        
        opcion = JOptionPane.showConfirmDialog(this, "Deseas salir", "Pago de Empleado",JOptionPane.YES_NO_OPTION );
        if(opcion==JOptionPane.YES_OPTION){
            this.dispose();
        }
    }//GEN-LAST:event_btnCerrarActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnCancelar;
    private javax.swing.JButton btnCerrar;
    private javax.swing.JButton btnGuardar;
    private javax.swing.JButton btnLimpiar;
    private javax.swing.JButton btnMostrar;
    private javax.swing.JButton btnNuevo;
    private javax.swing.JComboBox<String> cmbNivel;
    private javax.swing.JComboBox<String> cmbPuesto;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JTextField txtDiaTra;
    private javax.swing.JTextField txtImpuesto;
    private javax.swing.JTextField txtNom;
    private javax.swing.JTextField txtNumRec;
    private javax.swing.JTextField txtPago;
    private javax.swing.JTextField txtTotal;
    // End of variables declaration//GEN-END:variables
private PagoQuincenal pag;


}
